summaryrefslogtreecommitdiffstats
path: root/bin/cmakehdf5
diff options
context:
space:
mode:
Diffstat (limited to 'bin/cmakehdf5')
-rwxr-xr-xbin/cmakehdf526
1 files changed, 24 insertions, 2 deletions
diff --git a/bin/cmakehdf5 b/bin/cmakehdf5
index c092545..1f0fb7c 100755
--- a/bin/cmakehdf5
+++ b/bin/cmakehdf5
@@ -45,9 +45,12 @@ fi
cacheinit=$srcdir/config/cmake/cacheinit.cmake
build_cpp_lib=-DHDF5_BUILD_CPP_LIB:BOOL=OFF # C++ interface default off
build_fortran=-DHDF5_BUILD_FORTRAN:BOOL=OFF # Fortran interface default off
+enable_f2003=-DHDF5_ENABLE_F2003:BOOL=OFF # Fortran2003 interface default off
build_hl_lib=-DHDF5_BUILD_HL_LIB:BOOL=ON # High Level interface default on
build_testing=-DBUILD_TESTING:BOOL=ON # Build tests default on
build_tools=-DHDF5_BUILD_TOOLS:BOOL=ON # Build tools default on
+with_zlib=-DHDF5_ENABLE_Z_LIB_SUPPORT=ON # enable zlib filter default on
+with_szlib=-DHDF5_ENABLE_SZIP_SUPPORT=OFF # enables zlib filter default off
#=============
@@ -71,6 +74,8 @@ Usage: $progname [<options>]
where options are:
--enable-fortran | --disable-fortran:
enable or disable fortran API. Default is off.
+ --enable-fortran2003 | --disable-fortran2003:
+ enable or disable fortran2003 API. Default is off.
--enable-cxx | --disable-cxx:
enable or disable c++ API. Default is off.
--enable-hl | --disable-hl:
@@ -79,6 +84,12 @@ Usage: $progname [<options>]
enable or disable building tools. Default is on.
--enable-testing | --disable-testing:
enable or disable building tests. Default is on.
+ --with-zlib=INC,LIB | --without-zlib:
+ Use zlib library for external deflate I/O filter. Default is on.
+ INC and LIB are the include and lib directories.
+ --with-szlib=INC,LIB| --without-szlib:
+ Use szip library for external szip library I/O filter. Default is off.
+ INC and LIB are the include and lib directories.
--help: shows details help page
EOF
}
@@ -106,7 +117,7 @@ STEP()
(TIMESTAMP; nerror=0 ;
echo "eval $command"
eval $command || nerror=1 ;
- TIMESTAMP; exit $nerror) < /dev/null >> "$logfile" 2>&1
+ TIMESTAMP; exit $nerror) < /dev/null > "$logfile" 2>&1
if [ $? -ne 0 ]; then
echo "error in '$banner'. $progname aborted."
exit 1
@@ -137,6 +148,12 @@ while [ $# -gt 0 ]; do
--disable-fortran)
build_fortran=-DHDF5_BUILD_FORTRAN:BOOL=OFF
;;
+ --enable-fortran2003)
+ enable_f2003=-DHDF5_ENABLE_F2003:BOOL=ON
+ ;;
+ --disable-fortran2003)
+ enable_f2003=-DHDF5_ENABLE_F2003:BOOL=OFF
+ ;;
--enable-cxx)
build_cpp_lib=-DHDF5_BUILD_CPP_LIB:BOOL=ON
;;
@@ -167,8 +184,9 @@ while [ $# -gt 0 ]; do
exit 0
;;
*)
- echo "Unknown options"
+ echo "Unknown options: $1"
HELP
+ exit 1
;;
esac
shift
@@ -198,11 +216,15 @@ echo Running Cmake for HDF5-${version} ...
# 4. Configure the C library, tools and tests with this command:
STEP "Configure..." "cmake \
+ -C $cacheinit \
$build_cpp_lib \
$build_fortran \
+ $enable_f2003 \
$build_hl_lib \
$build_testing \
$build_tools \
+ $with_zlib \
+ $with_szlib \
$srcdir" $configlog
# 5. Build the C library, tools and tests with this command: